Konfiguration der Organisationsgruppen aktualisieren
curl --request PUT \
--url https://api.devin.ai/v2/enterprise/org-group-limits \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"groups": {}
}'import requests
url = "https://api.devin.ai/v2/enterprise/org-group-limits"
payload = { "groups": {} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({groups: {}})
};
fetch('https://api.devin.ai/v2/enterprise/org-group-limits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"groups": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Endpunkte für Limits von Org-Gruppen
Limits für Organisationsgruppen aktualisieren
Konfiguration der Organisationsgruppen aktualisieren
PUT
/
v2
/
enterprise
/
org-group-limits
Konfiguration der Organisationsgruppen aktualisieren
Erfordert einen persönlichen API key eines Enterprise-Administrators.
Ersetzt die gesamte Konfiguration der Organisationsgruppen durch die bereitgestellte Konfiguration. Gruppen, die nicht in der Anfrage enthalten sind, werden gelöscht, und enthaltene Gruppen werden erstellt oder aktualisiert, um der bereitgestellten Konfiguration zu entsprechen. Jede Gruppe ordnet einer Menge von Organisations-IDs ein optionales maximales Agent Compute Unit-Limit pro Abrechnungszeitraum zu.
Dieser Endpunkt erfordert, dass die Funktion für Limits von Organisationsgruppen für Ihr Enterprise aktiviert ist. Wenden Sie sich an Ihr Account-Team, um diese Funktion zu aktivieren.
Autorisierungen
Persönlicher API Key (apk_user_*) nur für Enterprise-Administratoren
Body
application/json
Konfiguration, die Gruppennamen ihren Einstellungen zuordnet.
Show child attributes
Show child attributes
Antwort
Erfolgreiche Antwort
Konfiguration, die Gruppennamen ihren Einstellungen zuordnet.
Show child attributes
Show child attributes

